<?php // $Id$

require_once('../../config.php');
require_once('./lib.php');

$id = required_param('id', PARAM_INT);   // course

if (! $course = get_record('course', 'id', $id)) {
    error('Course ID is incorrect');
}

require_course_login($course);

add_to_log($course->id, 'myvideos', 'view all', "index.php?id=$course->id", '');


/// Get all required stringsmyvideos

$strmyvideos = get_string('modulenameplural', 'myvideos');
$strmyvideo  = get_string('modulename', 'myvideos');


/// Print the header

$navlinks = array();
$navlinks[] = array('name' => $strmyvideos, 'link' => '', 'type' => 'activity');
$navigation = build_navigation($navlinks);

print_header_simple($strmyvideos, '', $navigation, '', '', true, '', navmenu($course));

/// Get all the appropriate data

if (! $myvideos = get_all_instances_in_course('myvideos', $course)) {
    notice('There are no instances of myvideos', "../../course/view.php?id=$course->id");
    die;
}

$timenow  = time();
$strname  = get_string('name');
$strweek  = get_string('week');
$strtopic = get_string('topic');

if ($course->format == 'weeks') {
    $table->head  = array ($strweek, $strname);
    $table->align = array ('center', 'left');
} else if ($course->format == 'topics') {
    $table->head  = array ($strtopic, $strname);
    $table->align = array ('center', 'left', 'left', 'left');
} else {
    $table->head  = array ($strname);
    $table->align = array ('left', 'left', 'left');
}

foreach ($myvideos as $myvideo) {
    
    if (!$myvideo->visible) {
        
        //Show dimmed if the mod is hidden
        $link = '<a class="dimmed" href="view.php?id='.$myvideo->coursemodule.'">'.format_string($myvideo->name).'</a>';
    } else {
        
        //Show normal if the mod is visible
        $link = '<a href="view.php?id='.$myvideo->coursemodule.'">'.format_string($myvideo->name).'</a>';
    }

    if ($course->format == 'weeks' or $course->format == 'topics') {
        $table->data[] = array ($myvideo->section, $link);
    } else {
        $table->data[] = array ($link);
    }
}

print_heading($strmyvideos);
print_table($table);

/// Finish the page

print_footer($course);

?>
