<?php // $Id$

require_once($CFG->dirroot.'/course/moodleform_mod.php');

class mod_myvideos_mod_form extends moodleform_mod {

    
    function definition() {

        global $CFG, $COURSE;
                
        $mform = & $this->_form;

        $mform->addElement('header', 'general', get_string('general', 'form'));

        $mform->addElement('text', 'name', get_string('name', 'myvideos'), array('size'=>'64'));
        $mform->setType('name', PARAM_TEXT);
        $mform->addRule('name', null, 'required', null, 'client');
        
        $elements = array();
        
        
        // Video selector
        $attributes = array();
        $videos = $this->get_user_videos();
        
        // If there are no videos we disable the form and add a static text
        if (!$videos) {
            $videos[0] = get_string("therearenovideos", "myvideos");
            $attributes['disabled'] = 1;
        }
        $elements[] = & $mform->createElement('select', 'videoid', get_string('selectvideo', 'myvideos'), $videos, $attributes);
        
        // If we are editing
        if ($selectedvideo = $this->get_selected_video()) {
            $mform->setDefault('video[videoid]', $selectedvideo);
        }
        
        
        // Button to add myvideos block instances, useful if the user hasn't yet submit a video
        $blockurl = $CFG->wwwroot.'/blocks/myvideos/index.php?action=uploadvideo&courseid='.$COURSE->id.'&returnmod=1';
        $elements[] = & $mform->createElement('button', 'newvideo', get_string('addvideo', 'myvideos'), array('onclick' => 'window.open("'.$blockurl.'", "myvideosblock");return false;'));
        $mform->addGroup($elements, 'video', get_string('selectvideo', 'myvideos'));
        $mform->addRule('video', get_string('required'), 'required', null, 'client');
        
        $mform->addElement('htmleditor', 'intro', get_string('intro', 'myvideos'));
        $mform->setType('intro', PARAM_RAW);
        $mform->addRule('intro', get_string('required'), 'required', null, 'client');
        
        $this->standard_coursemodule_elements();
        $this->add_action_buttons();
    }
    
    
    /**
     * Gets user videos list
     *
     * @return     array         User videos array
     */
    function get_user_videos() {
        
        global $CFG, $USER;
        
        // TODO: check options order
        
        $options = array();
        
        $usersql = "SELECT id, title 
                    FROM {$CFG->prefix}myvideos_video 
                    WHERE userid = '$USER->id' AND timedeleted = '0'";
        $userfavoritessql = "SELECT mv.id, mv.title 
                             FROM {$CFG->prefix}myvideos_video_favorite mvf 
                             JOIN {$CFG->prefix}myvideos_video mv ON mv.id = mvf.videoid 
                             WHERE mvf.userid = '$USER->id' AND mv.timedeleted = '0'";
        
        $uservideos = get_records_sql($usersql);
        $userfavorites = get_records_sql($userfavoritessql);
        
        if ($uservideos) {
            foreach ($uservideos as $uservideo) {
                $options[$uservideo->id.'_user'] = $uservideo->title.' ('.get_string("uploadedvideo", "myvideos").')';
            }
        }
        
        if ($userfavorites) {
            foreach ($userfavorites as $userfavorite) {
                $options[$userfavorite->id.'_favorite'] = $userfavorite->title.' ('.get_string("userfavorite", "myvideos").')';
            }
        }
        
        return $options;
    }
    
    
    /**
     * When editing, gets the selected video based on _cm->instance
     * 
     * @return      mixed       Selected video key or false if not success
     */
    function get_selected_video() {
        
        global $CFG;
        
        if (!empty($this->_cm->id)) {
            
            $instanceid = $this->_cm->instance;
            $selectedvideosql = "SELECT mv.id as mvid, mvf.id as mvfid, m.favorite 
                                 FROM {$CFG->prefix}myvideos m 
                                 LEFT JOIN {$CFG->prefix}myvideos_video mv ON mv.id = m.videoid 
                                 LEFT JOIN {$CFG->prefix}myvideos_video_favorite mvf ON mvf.id = m.videoid 
                                 WHERE m.id = '$instanceid'";
            $selectedvideo = get_record_sql($selectedvideosql);
            
            if (!$selectedvideo) {
                print_error('Video selected not found');
            }
            
            if ($selectedvideo->favorite == 1) {
                return $selectedvideo->mvfid.'_favorite';
            } 
            
            return $selectedvideo->mvid.'_user';
        }
        
        return false;
    }
}

?>
