<?php // $Id$

/**
 * Show myvideos instance
 *
 * @uses    blocks/myvideos
 * 
 * @author  David Monllaó <david.monllao@urv.cat>
 * @version 0.2
 * @package mod/myvideos
 */

require_once('../../config.php');
require_once('./lib.php');

// Specific error
if (!file_exists($CFG->dirroot.'/blocks/myvideos/lib/lib.php')) {
    print_error('blockmissing', 'myvideos');
}
require_once($CFG->dirroot.'/blocks/myvideos/lib/lib.php');

$id = optional_param('id', 0, PARAM_INT); // course_module ID, or
$a  = optional_param('a', 0, PARAM_INT);  // myvideos instance ID

if ($id) {
    if (!$cm = get_coursemodule_from_id('myvideos', $id)) {
        print_error('errorcm', 'myvideos');
    }

    if (!$course = get_record('course', 'id', $cm->course)) {
        print_error('errorcourse', 'myvideos');
    }

    if (!$myvideo = get_record('myvideos', 'id', $cm->instance)) {
        error('errorcm', 'myvideos');
    }

} else if ($a) {
    if (!$myvideo = get_record('myvideos', 'id', $a)) {
        print_error('errorcm', 'myvideos');
    }
    if (!$course = get_record('course', 'id', $myvideo->course)) {
        print_error('errorcourse', 'myvideos');
    }
    if (!$cm = get_coursemodule_from_instance('myvideos', $myvideo->id, $course->id)) {
        print_error('errorcm', 'myvideos');
    }

} else {
    print_error('errornocmidnora', 'myvideos');
}

require_login($course, true, $cm);

if (!has_capability('mod/myvideos:view', get_context_instance(CONTEXT_MODULE, $cm->id))) {
    die();
}


/// Print the page header
$strmyvideos = get_string('modulenameplural', 'myvideos');
$strmyvideo  = get_string('modulename', 'myvideos');

$navlinks = array();
$navlinks[] = array('name' => $strmyvideos, 'link' => "index.php?id=$course->id", 'type' => 'activity');
$navlinks[] = array('name' => format_string($myvideo->name), 'link' => '', 'type' => 'activityinstance');

$navigation = build_navigation($navlinks);

// We must add myvideos Moodle block stylesheet
$CFG->stylesheets[] = $CFG->wwwroot.'/blocks/myvideos/myvideos.css';

print_header_simple(format_string($myvideo->name), '', $navigation, '', '', true,
              update_module_button($cm->id, $course->id, $strmyvideo), navmenu($course, $cm));
              
print_heading($myvideo->name);


// Outputs video
$videodata = get_record('myvideos_video', 'id', $myvideo->videoid);
myvideos_show_video($videodata, false, false, $cm->id);

add_to_log($course->id, "myvideos", "view", "view.php?id=$cm->id", "$myvideo->id");

// Footer
print_footer($course);

?>
